LAMMPS WWW Site - LAMMPS Documentation - LAMMPS Commands

### pair_style none command

Syntax:

    pair_style none

Examples:

    pair_style none

Description:

Using a pair style of none means pair forces are not computed.

With this choice, the force cutoff is 0.0, which means that only atoms within the neighbor skin distance (see the neighbor command) are communicated between processors. You must insure the skin distance is large enough to acquire atoms needed for computing bonds, angles, etc.

A pair style of none will also prevent pairwise neighbor lists from being built. However if the neighbor style is bin, data structures for binning are still allocated. If the neighbor skin distance is small, then these data structures can consume a large amount of memory. So you should either set the neighbor style to nsq or set the skin distance to a larger value.

Restrictions: none

Related commands: none

Default: none